### Function

# Pango AttrDataCopyFunc

#### Declaration

    gpointer
    (* PangoAttrDataCopyFunc) (
      gconstpointer user_data
    )

#### Description [src]

Type of a function that can duplicate user data for an attribute.

#### Parameters

`user_data` | `gconstpointer`
| User data to copy.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gpointer`
| New copy of `user_data`.
| The data is owned by the called function.
| The return value can be `NULL`.